#include<bits/stdc++.h>
 
 using namespace std;
 
 int main(){
 	
 	int a, b, x, y;                
 	cin >> a >> b ;  // a : b spojlovani rezultat    
 	cin >> x >> y ;  // x : y rezultat na poluvremenu    
 	
 	if (a == x && b > y){
 	   cout << "drugi" << endl;
	 }
	if ( a > x && b == y){
		cout << "prvi" << endl;
	 }
 	else if (a == x && b == y){
 		cout << "nijedan" << endl;
	 }
    else if ( a > x && b > y){
    	cout << "?" << endl;
	} 	
 	
 	
 	
 	
 	return 0;
 }